#
#	Macintosh Developer Technical Support
#
#	EditText Sample Control Panel Device
#
#	EditCDEV
#
#	PEditCDEV.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					8/88
#
#	Components:	EditCDEV.p			August 1, 1988
#				EditCDEV.r			August 1, 1988
#				EditCDEV.make		August 1, 1988
#
#
#	EditCDEV demonstrates how to implement an editText item
#	in a Control Panel Device.  It utilizes the new undo, cut, copy,
#	paste, and delete messages that are sent to cdevs in
#	response to user menu selections.
#
#	It is comprised of two editText items that can be edited 
#	and moved between via the mouse or tab key.
#

OOptions = -s

.mod.o  .mod
	Oberon {OOptions} {DepDir}{Default}.mod -o {TargDir}{Default}.mod.o

SrcName			=	EditCDEV
Lang			=	mod
CdevName		=	{SrcName}

Objs			=	{SrcName}.{Lang}.o 
					"{Libraries}"Interface.o

{CdevName}			{Objs} {CdevName}.make
		Link -o {Targ} -rt cdev=-4064 -m EditCDEV_TextCDEV {Objs} && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}"

{CdevName}			{SrcName}.r {CdevName}.make
		Rez -o {Targ} {SrcName}.r -t cdev -c hack -rd -append && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}"
